reswrap(1)

NAME
reswrap - wrap icon resources into C code

SYNOPSIS
reswrap [-o[a] outfile] [-h] [-v] [-d] [-x] [-e] [-i] [-s] [-n name] [-c cols] [-ppm] files

DESCRIPTION
The reswrap tool is used to turn images and other resource files into embeddable C or C++ data arrays. The output file can then be easily compiled into the application. By default reswrap will interpret the files listed as a stream of raw bytes and output them as an initialized data array on stdout, ready to be compiled into the application.

OPTIONS

-o[a] outfile
    Write the result into the file outfile instead of writing to stdout. With -o the outfile will be overwritten with the data from the input. With the -oa option, the resulting code is appended to the output file, allowing multiple input files to be placed into one single resource source file.

-h  Print a short usage message.

-v  Just print out the version number and terminate.

-d  Write data as decimal numbers instead of using the default hexadecimal numbers.

-x  Write data as hexadecimal numbers (default).

-e  Places the storage modifier extern in front of the data array, ensuring that the data array can be linked with other compilation units.

-i  Instead of generating an array definition only write a declaration, which can be included as a header file.

-s  This option suppresses comments inserted by reswrap to indicate the original file name from which the data statement was generated.

-n name
    Instead of taking the filename less the extension, reswrap substitutes name for the name of the resource.

-c cols
    Writes cols columns instead of the default 16 columns in the data statements generated by reswrap.

-ppm
    Assumes the source file is a Portable Pixmap (ppm) file. Reswrap will output a simple rgb array.

SEE ALSO
The reswrap program is a part of the FOX GUI Toolkit. The FOX Toolkit may be found at http://www.fox-toolkit.org The FOX website has the official FOX documentation in HTML which includes some additional information about reswrap and its use. If you installed the libfox0.99-doc package you can find this in /usr/share/doc/libfox0.99/html/fox.html also.

AUTHOR
This manpage was originally written by Torsten Landschoff (torsten@debian.org) for the Debian distribution of the FOX Toolkit. The main author of FOX is Jeroen van der Zijp <jeroen@fox-toolkit.org>. For a list of contributors see /usr/share/doc/libfox0.99/AUTHORS.